# Rally Rush: godot::BeaconPowerup Class Reference

Loading...
Searching...
No Matches
godot::BeaconPowerup Class Reference

Area3D that inverts the attack classes of any turret object that it comes into contact with. Resets effects when it is destroyed. More...

`#include <beacon_powerup.hpp>`

Inheritance diagram for godot::BeaconPowerup:

## Public Member Functions

virtual void | _enter_tree () override
| Connect body_entered observer.
virtual void | _exit_tree () override
| Reset affected turrets.
void | body_entered (Node3D *node)
| If entered body is a turret, invert targets.

## Private Member Functions

| GDCLASS (BeaconPowerup, Area3D)

## Static Private Member Functions

static void | _bind_methods ()
| Required to be a valid godot class.

## Private Attributes

Vector< Turret * > | affected {}

## Detailed Description

Area3D that inverts the attack classes of any turret object that it comes into contact with. Resets effects when it is destroyed.

## Member Function Documentation

## _bind_methods()

void godot::BeaconPowerup::_bind_methods | ( |  | ) |

staticprivate

Required to be a valid godot class.

## _enter_tree()

void godot::BeaconPowerup::_enter_tree | ( |  | ) |

overridevirtual

Connect body_entered observer.

## _exit_tree()

void godot::BeaconPowerup::_exit_tree | ( |  | ) |

overridevirtual

Reset affected turrets.

## body_entered()

void godot::BeaconPowerup::body_entered | ( | Node3D * | node | ) |

If entered body is a turret, invert targets.

## GDCLASS()

godot::BeaconPowerup::GDCLASS | ( | BeaconPowerup | ,
|  | Area3D |
| ) |  |

private

## Member Data Documentation

## affected

Vector<Turret*> godot::BeaconPowerup::affected {}

private

The documentation for this class was generated from the following files:

- src/beacon_powerup.hpp
- src/beacon_powerup.cpp